- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- File List
- File Members

Classes | Functions

# qtransform.h File Reference

`#include <QtGui/qmatrix.h>`
`#include <QtGui/qpainterpath.h>`
`#include <QtGui/qpolygon.h>`
`#include <QtGui/qregion.h>`
`#include <QtGui/qwindowdefs.h>`
`#include <QtCore/qline.h>`
`#include <QtCore/qpoint.h>`
`#include <QtCore/qrect.h>`

Go to the source code of this file.

## Classes
class | QTransform
## Functions
| Q_DECLARE_TYPEINFO (QTransform, Q_MOVABLE_TYPE)
bool | qFuzzyCompare (const QTransform &t1, const QTransform &t2)
Q_GUI_EXPORT QDataStream & | operator<< (QDataStream &, const QTransform &)
Q_GUI_EXPORT QDataStream & | operator>> (QDataStream &, QTransform &)
Q_GUI_EXPORT QDebug | operator<< (QDebug, const QTransform &)
Q_GUI_EXPORT_INLINE QPoint | operator* (const QPoint &p, const QTransform &m)
Q_GUI_EXPORT_INLINE QPointF | operator* (const QPointF &p, const QTransform &m)
Q_GUI_EXPORT_INLINE QLineF | operator* (const QLineF &l, const QTransform &m)
Q_GUI_EXPORT_INLINE QLine | operator* (const QLine &l, const QTransform &m)
Q_GUI_EXPORT_INLINE QPolygon | operator* (const QPolygon &a, const QTransform &m)
Q_GUI_EXPORT_INLINE QPolygonF | operator* (const QPolygonF &a, const QTransform &m)
Q_GUI_EXPORT_INLINE QRegion | operator* (const QRegion &r, const QTransform &m)
Q_GUI_EXPORT_INLINE QPainterPath | operator* (const QPainterPath &p, const QTransform &m)
Q_GUI_EXPORT_INLINE QTransform | operator* (const QTransform &a, qreal n)
Q_GUI_EXPORT_INLINE QTransform | operator/ (const QTransform &a, qreal n)
Q_GUI_EXPORT_INLINE QTransform | operator+ (const QTransform &a, qreal n)
Q_GUI_EXPORT_INLINE QTransform | operator- (const QTransform &a, qreal n)

## Function Documentation

Q_DECLARE_TYPEINFO | ( | QTransform | ,
|  | Q_MOVABLE_TYPE |
| ) |  |

Search for all occurrences

bool qFuzzyCompare | ( | const QTransform & | t1,
|  | const QTransform & | t2
| ) |  | `[inline]`

Search for all occurrences

Definition at line 339 of file qtransform.h.

    {
        return qFuzzyCompare(t1.m11(), t2.m11())
            && qFuzzyCompare(t1.m12(), t2.m12())
            && qFuzzyCompare(t1.m13(), t2.m13())
            && qFuzzyCompare(t1.m21(), t2.m21())
            && qFuzzyCompare(t1.m22(), t2.m22())
            && qFuzzyCompare(t1.m23(), t2.m23())
            && qFuzzyCompare(t1.m31(), t2.m31())
            && qFuzzyCompare(t1.m32(), t2.m32())
            && qFuzzyCompare(t1.m33(), t2.m33());
    }

Q_GUI_EXPORT QDataStream& operator<< | ( | QDataStream & | ,
|  | const QTransform & |
| ) |  |

Q_GUI_EXPORT QDataStream& operator>> | ( | QDataStream & | ,
|  | QTransform & |
| ) |  |

Q_GUI_EXPORT QDebug operator<< | ( | QDebug | ,
|  | const QTransform & |
| ) |  |

Q_GUI_EXPORT_INLINE QPoint operator* | ( | const QPoint & | p,
|  | const QTransform & | m
| ) |  |

Definition at line 365 of file qtransform.h.

    { return m.map(p); }

Q_GUI_EXPORT_INLINE QPointF operator* | ( | const QPointF & | p,
|  | const QTransform & | m
| ) |  |

Definition at line 367 of file qtransform.h.

    { return m.map(p); }

Q_GUI_EXPORT_INLINE QLineF operator* | ( | const QLineF & | l,
|  | const QTransform & | m
| ) |  |

Definition at line 369 of file qtransform.h.

    { return m.map(l); }

Q_GUI_EXPORT_INLINE QLine operator* | ( | const QLine & | l,
|  | const QTransform & | m
| ) |  |

Definition at line 371 of file qtransform.h.

    { return m.map(l); }

Q_GUI_EXPORT_INLINE QPolygon operator* | ( | const QPolygon & | a,
|  | const QTransform & | m
| ) |  |

Definition at line 373 of file qtransform.h.

    { return m.map(a); }

Q_GUI_EXPORT_INLINE QPolygonF operator* | ( | const QPolygonF & | a,
|  | const QTransform & | m
| ) |  |

Definition at line 375 of file qtransform.h.

    { return m.map(a); }

Q_GUI_EXPORT_INLINE QRegion operator* | ( | const QRegion & | r,
|  | const QTransform & | m
| ) |  |

Definition at line 377 of file qtransform.h.

    { return m.map(r); }

Q_GUI_EXPORT_INLINE QPainterPath operator* | ( | const QPainterPath & | p,
|  | const QTransform & | m
| ) |  |

Definition at line 379 of file qtransform.h.

    { return m.map(p); }

Q_GUI_EXPORT_INLINE QTransform operator* | ( | const QTransform & | a,
|  | qreal | n
| ) |  |

Definition at line 382 of file qtransform.h.

    { QTransform t(a); t *= n; return t; }

Q_GUI_EXPORT_INLINE QTransform operator/ | ( | const QTransform & | a,
|  | qreal | n
| ) |  |

Definition at line 384 of file qtransform.h.

    { QTransform t(a); t /= n; return t; }

Q_GUI_EXPORT_INLINE QTransform operator+ | ( | const QTransform & | a,
|  | qreal | n
| ) |  |

Definition at line 386 of file qtransform.h.

    { QTransform t(a); t += n; return t; }

Q_GUI_EXPORT_INLINE QTransform operator- | ( | const QTransform & | a,
|  | qreal | n
| ) |  |

Definition at line 388 of file qtransform.h.

    { QTransform t(a); t -= n; return t; }